# PHPLocTextFormatter

Extends \AbstractPHPLocFormatter

author | Michiel Rook mrook@php.net
version | $Id: d9e8d9450dcecf7f3691236655b802512460618b $
package | phing.tasks.ext.phploc

### Methods

## Returns output filename

    getOutfile() : string

inherited

### Response

`string`

## Returns output directory

    getToDir() : string

inherited

### Response

`string`

## Returns whether to store formatting results in a file

    getUseFile()

inherited

## printResult

    printResult(array $count, boolean $countTests = false) : mixed

inherited abstract

### Arguments

#### $count

`array`

#### $countTests

`boolean`

### Response

`mixed`

## Sets output filename

    setOutfile(string $outfile)

inherited

### Arguments

#### $outfile

`string`

## Sets output directory

    setToDir(string $toDir)

inherited

### Arguments

#### $toDir

`string`

## Sets whether to store formatting results in a file

    setUseFile( $useFile)

inherited

### Arguments

#### $useFile

``

### Properties

## useFile

    useFile : boolean

inherited

var |

### Type(s)

`boolean`

## toDir

    toDir : string

inherited

var |

### Type(s)

`string`

## outfile

    outfile : string

inherited

var |

### Type(s)

`string`